#include <iostream>
using namespace std;

void ROTAZIONE(int arr[]);

int main(void) {
	int arr[4];
	int i;
	
	arr[0] = 5;
	arr[1] = 13;
	arr[2] = -2;
	arr[3] = 8;
	
	cout << "Prima: ";
	
	for (i = 0; i < 4; i++) {
		cout << arr[i] << " ";
	}
	
	cout << endl;
	
	ROTAZIONE(arr);
	
	cout << "Dopo: ";
	
	for (i = 0; i < 4; i++) {
		cout << arr[i] << " ";
	}
	
	cout << endl;
	
	return 0;
}

void ROTAZIONE(int arr[]) {
	int temp = arr[0];
	arr[0] = arr[3];
	arr[3] = temp;
}